import com.cult3d.Cult3DScript;

// This Java class is the most simple of all Cult3D Java classes
// It declare it self as a startup class for the Cult3D Designer,
// by implementing the script com.cult3d.Cult3DScript
//
// That interface forces you to implement the method
// cult3dDestroy, which are called when the
// Cult3D Viewer is being shutdown.
//
public class SimpleClass implements Cult3DScript
{
	// Default constructor for this class
	// Is neccessary for the Cult3D Viewer to
	// be able to instantiate this class
	public SimpleClass()
	{
	}

	// This method can be triggered from the Designer.
	// The methods called from the Designer must return void
	// and have a string as it's only parameter.
	// When a Java class is connected to a mouse event, the object that the
	// mouse are connected to will be stored in the string argStr.
	public void writeObjectName(String argStr)
	{
		System.out.println(argStr);
	}

	// From Cult3DScript interface,
	// It is called automatically when the Cult3D Viewer are being shutdown
	// Here is a good place to do cleanups and stopping threads
	public void cult3dDestroy()
	{
	}
}

